package com.example.myshiro.test;

import org.apache.shiro.crypto.hash.Md5Hash;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
public class ShiroMdTest {
    @Test
    public void testMD5(){
        Md5Hash md5Hash = new Md5Hash("123");
        System.out.println(md5Hash);
    }
    @Test
    public void testMD52(){
        Md5Hash md5Hash = new Md5Hash("123","wan");
        System.out.println(md5Hash);
    }
    @Test
    public void testMD53(){
        Md5Hash md5Hash = new Md5Hash("123","wan",5);
        System.out.println(md5Hash);
    }
}
